
%global meadversion 2.5.2
%global namedversion 2.5.2.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 6

%bcond_without mead

%define maven_version 2.5.2.redhat-3

Name:           jython-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jython
License:        BSD
Group:          Development/Java

%if %with mead
Source100: jython-project-2.5.2.redhat-3-scm-sources.zip
Source102: jython-installer-2.5.2.redhat-3.pom
Source103: jython-installer-2.5.2.redhat-3.jar
Source104: jython-installer-2.5.2.redhat-3-sources.jar
Source105: jython-installer-2.5.2.redhat-3-javadoc.jar
Source106: jython-2.5.2.redhat-3.pom
Source107: jython-2.5.2.redhat-3.jar
Source108: jython-2.5.2.redhat-3-sources.jar
Source109: jython-2.5.2.redhat-3-javadoc.jar
Source110: jython-standalone-2.5.2.redhat-3.jar
Source111: jython-standalone-2.5.2.redhat-3.pom
Source112: jython-standalone-2.5.2.redhat-3-javadoc.jar
Source113: jython-standalone-2.5.2.redhat-3-sources.jar
Source114: jython-project-2.5.2.redhat-3.pom
%endif

URL:            http://www.jython.org/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jython-eap6-%{namedversion}-%{release}-root

%description
Jython is an implementation of the high-level, dynamic, object-oriented language
Python written in 100% Pure Java, and seamlessly integrated with the Java
platform. It thus allows you to run Python on any Java platform.

%prep
%setup -q -n jython -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jython-standalone-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jython-standalone-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jython-standalone-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/jython-standalone-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jython-standalone-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jython-standalone-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt README.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jython-standalone-%{namedversion}.jar
%{_javadir}/%{name}/jython-standalone.jar
%exclude %{_javadir}/%{name}/jython-standalone-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/jython-standalone-javadoc.jar
%{_javadir}/%{name}/jython-standalone-%{namedversion}-sources.jar
%{_javadir}/%{name}/jython-standalone-sources.jar

%changelog
* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 2.5.2-6.redhat_3.1
- submit wrapper build

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 2.5.2-6.redhat_3.1
- submit wrapper build

* Wed Dec 11 2013 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_3.1
- convert to MEAD

* Sat Sep 01 2012 Paul Gier <pgier@redhat.com> - 0:2.5.2-5.redhat_2.4
- Update pom patch for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.5.2-5.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.5.2-5.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.5.2-5.redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-5
- rename jnr-constants package

* Fri May 04 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-4
- switch from constantine to jnr-constants
- switch from jffi-complete to jffi + (empty) jffi-native

* Fri May 04 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-3
- rebuild with empty jffi-native jar (removes .so automatically)

* Thu Apr 12 2012 Martha Benitez <mbenitez@redhat.com> 0:2.5.2-2.redhat_1
- Change R: for main package to be those of jython-standalone

* Thu Apr 12 2012 Martha Benitez <mbenitez@redhat.com> 0:2.5.2-1.4_redhat_1.1
- Merge from jython
- Install jython-standalone in main package

* Wed Apr 11 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-1.4
- resolves JBPAPP-8388

* Wed Apr 11 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-1.3
- JBPAPP-8388

* Thu Apr 05 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.5.2-1.2_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.5.2-1.2_redhat_1.1
- Rebuild using cache signing

* Wed Jan 18 2012 Yong Yang <yyang@redhat.com> 0:2.5.2-1.2
- Change Requires: jffi-complete to Requires: jffi

* Thu Jan 12 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-1.1
- build for redhat

* Thu Jan 12 2012 David Walluck <dwalluck@redhat.com> 0:2.5.2-1
- 2.5.2
- fix Requires based on jython jarjar
- add standalone package
- make main package the same as the standard upstream install (minus javadoc)
- drop demo and manual packages
- drop ht2html and PyXML BuildRequires

* Tue Dec 13 2011 Ralph Apel <r.apel at r-apel.de> - 0:2.5.0-2
- Promote to free

* Wed Nov 16 2011 Ralph Apel <r.apel at r-apel.de> - 0:2.5.0-1jpp
- Upgrade to 2.5.0

* Thu Jul 12 2007 Ralph Apel <r.apel at r-apel.de> - 0:2.2-0.rc2.1jpp
- Upgrade to 2.2-rc2

* Tue Feb 27 2007 Ralph Apel <r.apel at r-apel.de> - 0:2.2-0.a0.4jpp
- Add gcj_support option
- Assure optionality of mysql-connector-java
- Reactivate ht2html BR

* Tue Jun 20 2006 Ralph Apel <r.apel at r-apel.de> - 0:2.2-0.a0.3jpp
- First JPP-1.7 release
- Oracle JDBC not required, MySQL JDBC optional

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.2-0.a0.2jpp
- Rebuild with ant-1.6.2
- Allow build use of python >= 2.3 to generate docs since 2.2 libraries included

* Sun Feb 15 2004 David Walluck <david@anti-microsoft.org> 0:2.2-0.a0.1jpp
- 2.2a0 (CVS)
- add URL tag
- add Distribution tag
- change cachedir patch to use ~/.jython instead of ~/tmp
- remove sys.platform patch
- use included python 2.2 files
- mysql support is back

* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0:2.1-5jpp
- rebuild for JPackage 1.5
- remove mm.mysql support

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 2.1-4jpp
- add PyXML modules from 0.8.2
- make BuildRequires a bit more strict

* Wed Jan 22 2003 David Walluck <david@anti-microsoft.org> 2.1-3jpp
- CVS 20030122
- remove javacc dependency (it's non-free, not needed, and the build is broken)
- add python modules (BuildRequires: python)
- add PyXML modules (BuildRequires: PyXML)
- add HTML documentation (BuildRequires: ht2html)
- optional JavaReadline support (BuildRequires: libreadline-java)
- optional MySQL support (BuildRequires: mm.mysql)
- optional PostgreSQL support is not available at this time due to strange jars
- add jython script
- add jythonc script
- add registry
- Patch0: fix cachedir creation in cwd
- Patch1: fix sys.platform (site.py expects format: <os.name>-<os.arch>)
- remove oro class files from jython and require the oro RPM instead
- change Url tag

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-2jpp 
- generic servlet support

* Wed Mar 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.1-1jpp 
- 2.1
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-2jpp
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package

* Tue Dec 18 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1jpp
- first JPackage release
